Bug 463439 - unresolved dependency in libcmpiutil-devel
unresolved dependency in libcmpiutil-devel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: releng (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Dennis Gregorovic
Alexander Todorov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-23 10:30 EDT by Daniel Mach
Modified: 2010-03-14 17:30 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The libcmpiutil-devel package depends on tog-pegasus-devel, which for the Red Hat Enterprise Linux Desktop product is only available from the Workstation option. Therefore, any attempt to install the libcmpiutil-devel package on a system that does not have a Subscription including the Workstation option or is not subscribed to the Workstation channel on RHN, will fail with an unresolved dependency error.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-03 14:56:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2008-09-23 10:30:08 EDT
package: libcmpiutil-devel - 0.4-1.el5.i386 from RHEL5.3-Client-20080922.4/5/i386/os/VT
  unresolved deps:
     tog-pegasus-devel

it seems we have three possibilities how to fix it:
 a) change the dependency
 b) move libcmpiutil-devel to workstation
 c) move tog-pegasus-devel to client
Comment 2 Dennis Gregorovic 2008-09-23 10:43:11 EDT
(In reply to comment #0)
> package: libcmpiutil-devel - 0.4-1.el5.i386 from
> RHEL5.3-Client-20080922.4/5/i386/os/VT
>   unresolved deps:
>      tog-pegasus-devel
> 
> it seems we have three possibilities how to fix it:
>  a) change the dependency
>  b) move libcmpiutil-devel to workstation
>  c) move tog-pegasus-devel to client

Of those three, from a rel-eng perspective I would prefer (a).  Option (b) should be avoided if possible.
Comment 3 Daniel Veillard 2008-09-23 11:04:49 EDT
The header files of libcmpiutil-devel require the header files
from tog-pegasus-devel. So a) is out of the solution space.
The dependancy cannot be changed, the only solution is to move
stuff around, and I have no preference myself as long as it
works for the users in the end.

Daniel
Comment 4 Dennis Gregorovic 2008-09-23 11:18:08 EDT
libcmpiutil-devel depends on libcmpiutil, so we can't move libcmpiutil-devel without moving libcmpiutil.  It's looking like we need to move tog-pegasus-devel to Client/.
Comment 6 Dennis Gregorovic 2008-09-25 09:19:00 EDT
Change checked into distill to move tog-pegasus-devel to Client/.
Comment 8 Dennis Gregorovic 2008-10-21 02:10:18 EDT
The tog-pegasus-devel package is still ending up in Workstation/

# find /mnt/redhat/rel-eng/RHEL5.3-Client-20081020.1/5/*/os -name  tog-pegasus-devel*
/mnt/redhat/rel-eng/RHEL5.3-Client-20081020.1/5/i386/os/Workstation/tog-pegasus-devel-2.7.1-1.el5.i386.rpm
/mnt/redhat/rel-eng/RHEL5.3-Client-20081020.1/5/x86_64/os/Workstation/tog-pegasus-devel-2.7.1-1.el5.x86_64.rpm
/mnt/redhat/rel-eng/RHEL5.3-Client-20081020.1/5/x86_64/os/Workstation/tog-pegasus-devel-2.7.1-1.el5.i386.rpm
Comment 10 Dennis Gregorovic 2008-10-21 10:11:35 EDT
It appears that I needed a comps.xml change as well, which I just checked into CVS.
Comment 11 Daniel Mach 2008-12-04 10:41:58 EST
there is still dependency issue:
package: tog-pegasus-devel - 2:2.7.1-2.el5.i386 from RHEL5.3-Client-20081204.0/5/i386/os/Client
  unresolved deps:
     gcc-c++

Any idea how to solve this?
We can't pull gcc-c++ into the Client.
Comment 12 Alexander Todorov 2008-12-04 11:02:26 EST
Why not move libcmpiutil-devel to Workstation ?
Comment 13 Dennis Gregorovic 2008-12-04 12:01:59 EST
(In reply to comment #12)
> Why not move libcmpiutil-devel to Workstation ?

See comment #4
Comment 14 Dennis Gregorovic 2008-12-09 13:55:34 EST
I think our plan of action will be to move tog-pegasus-devel back to Workstation.  This will mean that libcmpiutil-devel from VT will not install unless the Workstation product is enabled, but I checked with Daniel and that would be ok.
Comment 15 Dennis Gregorovic 2008-12-09 14:01:34 EST
distill change checked in to move tog-pegasus-devel back to Workstation
Comment 16 Daniel Riek 2008-12-09 16:15:58 EST
I am adding a release note to explain the behaviour.
Comment 17 Daniel Riek 2008-12-09 16:15:58 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
The libcmpiutil-devel package depends on tog-pegasus-devel, which for the Red Hat Enterprise Linux Desktop product is only available from the Workstation option. Therefore, any attempt to install the libcmpiutil-devel package on a system that does not have a Subscription including the Workstation option or is not subscribed to the Workstation channel on RHN, will fail with an unresolved dependency error.
Comment 19 Dennis Gregorovic 2009-02-03 14:56:30 EST
Already verified; Marking closed.

Note You need to log in before you can comment on or make changes to this bug.